import {
  Column,
  CreateDateColumn,
  Entity,
  PrimaryGeneratedColumn,
  UpdateDateColumn,
} from 'typeorm';

@Entity()
export class Danmu {
  @PrimaryGeneratedColumn()
  id: number;

  @Column('varchar')
  user_id: string;

  @Column('text')
  user_nickName: string;

  @Column('varchar')
  user_avatar: string;

  @Column('varchar')
  user_gender: string;

  @Column('tinyint')
  user_isAdmin: number;

  @Column('tinyint')
  user_is_super_admin: number;

  @Column('varchar')
  user_level: string;

  @Column('varchar')
  user_fans_club_level: string;

  @Column('varchar')
  user_fans_club_name: string;

  @Column('varchar')
  user_follower_count: string;

  @Column('varchar')
  user_display_id: string;

  @Column('tinyint')
  isGift: number;

  @Column('varchar')
  gift_id: string;

  @Column('varchar')
  gift_number: string;

  @Column('text')
  msg_content: string;

  @Column('varchar')
  create_time: string;
}
